Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\API\Repository\Lists\UnauthorizedListItem Class Reference

This class represents an element of the list to which the user has no access. More...

Inheritance diagram for eZ\Publish\API\Repository\Lists\UnauthorizedListItem:

## Public Member Functions
| __construct (string $module, string $function, array $payload)
| getModule ()
| getFunction ()
| getPayload ()

## Private Attributes
| $module
| $function
| $payload

## Detailed Description

This class represents an element of the list to which the user has no access.

Definition at line 14 of file UnauthorizedListItem.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::__construct | ( | string | $module,
|  | string | $function,
|  | array | $payload
| ) |  |

Parameters

  string | $module |
  string | $function |
  array | $payload |

Definition at line 30 of file UnauthorizedListItem.php.

References eZ\Publish\API\Repository\Lists\UnauthorizedListItem\$function, eZ\Publish\API\Repository\Lists\UnauthorizedListItem\$module, and eZ\Publish\API\Repository\Lists\UnauthorizedListItem\$payload.

## Member Function Documentation

## ◆ getFunction()

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::getFunction | ( |  | ) |

Returns
  string

Definition at line 48 of file UnauthorizedListItem.php.

References eZ\Publish\API\Repository\Lists\UnauthorizedListItem\$function.

## ◆ getModule()

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::getModule | ( |  | ) |

Returns
  string

Definition at line 40 of file UnauthorizedListItem.php.

References eZ\Publish\API\Repository\Lists\UnauthorizedListItem\$module.

## ◆ getPayload()

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::getPayload | ( |  | ) |

Returns
  array

Definition at line 56 of file UnauthorizedListItem.php.

References eZ\Publish\API\Repository\Lists\UnauthorizedListItem\$payload.

## Member Data Documentation

## ◆ $function

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::$function
| private

Definition at line 20 of file UnauthorizedListItem.php.

Referenced by eZ\Publish\API\Repository\Lists\UnauthorizedListItem\__construct(), and eZ\Publish\API\Repository\Lists\UnauthorizedListItem\getFunction().

## ◆ $module

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::$module
| private

Definition at line 17 of file UnauthorizedListItem.php.

Referenced by eZ\Publish\API\Repository\Lists\UnauthorizedListItem\__construct(), and eZ\Publish\API\Repository\Lists\UnauthorizedListItem\getModule().

## ◆ $payload

eZ\Publish\API\Repository\Lists\UnauthorizedListItem::$payload
| private

Definition at line 23 of file UnauthorizedListItem.php.

Referenced by eZ\Publish\API\Repository\Lists\UnauthorizedListItem\__construct(), and eZ\Publish\API\Repository\Lists\UnauthorizedListItem\getPayload().

The documentation for this class was generated from the following file:

- UnauthorizedListItem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.